#!/usr/bin/env node
"use strict";

var _boxen = _interopRequireDefault(require("boxen"));
var _chalk = _interopRequireDefault(require("chalk"));
var _splitText = _interopRequireDefault(require("split-text"));
var _data = _interopRequireDefault(require("./data.json"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _toConsumableArray(r) { return _arrayWithoutHoles(r) || _iterableToArray(r) || _unsupportedIterableToArray(r) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _iterableToArray(r) { if ("undefined" != typeof Symbol && null != r[Symbol.iterator] || null != r["@@iterator"]) return Array.from(r); }
function _arrayWithoutHoles(r) { if (Array.isArray(r)) return _arrayLikeToArray(r); }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
console.log((0, _boxen["default"])([_chalk["default"].hex('#e69e6b').bold(_data["default"].name), _chalk["default"].grey(_data["default"].urls.personal), '', "".concat(_data["default"].occupation.title, " at ").concat(_data["default"].occupation.company), '', "LinkedIn: ".concat(_chalk["default"].grey("https://linkedin.com/in/".concat(_data["default"].social.linkedin))), "GitHub: ".concat(_chalk["default"].grey("https://github.com/".concat(_data["default"].social.github))), "CodePen: ".concat(_chalk["default"].grey("https://codepen.io/".concat(_data["default"].social.codepen))), ''].concat(_toConsumableArray((0, _splitText["default"])(_data["default"].message, 50).map(function (text) {
  return _chalk["default"].italic(text);
}))).join('\n'), {
  margin: 1,
  padding: 1,
  borderStyle: 'round',
  borderColor: '#f75c20'
}));